Properties Methods Events Config Options Direct Link

    None
      Scroller
        VerticalScroller

# Class Ext.layout.boxOverflow.VerticalScroller

Package: | Ext.layout.boxOverflow
Defined In: | ScrollerOverflow.js
Class: | VerticalScroller
Extends: | Scroller

Description

## Config Options

Config Options | Defined By
--- | ---
| : animateScroll | Scroller
| : scrollIncrement | Scroller
| : wheelIncrement | Scroller
| : scrollRepeatInterval | Scroller
| : scrollDuration | Scroller
| : beforeCls | Scroller
| : afterCls | Scroller
| : scrollerCls | Scroller
| : beforeScrollerCls | Scroller
| : afterScrollerCls | Scroller

## Public Properties

Property | Defined By
--- | ---
| afterScroller : Ext.Element The left scroller element. Only created when needed. | Scroller
| beforeScroller : Ext.Element The left scroller element. Only created when needed. | Scroller

## Public Methods

Method | Defined By
--- | ---

getScrollPosition() : Number
Returns the current scroll position of the innerCt element
Returns the current scroll position of the innerCt element
Parameters:

- None.

Returns:

- `Number`
  The current scroll position

VerticalScroller

scrollToItem( `String|Number|Ext.Component item`, `Boolean animate` ) : void
Scrolls to the given component.
Scrolls to the given component.
Parameters:

- `item` : String|Number|Ext.Component
  The item to scroll to. Can be a numerical index, component id or a reference to the component itself.
- `animate` : Boolean
  True to animate the scrolling

Returns:

- void

Scroller

## Public Events

This class has no public events.